> ## Documentation Index
> Fetch the complete documentation index at: https://doc.lucidworks.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Get the status of each node of the cluster



## OpenAPI

````yaml /api-reference/4.2/service-searchCluster.json get /searchCluster/{id}/nodes
openapi: 3.0.0
info:
  version: 4.2.6-rc1
  title: Fusion Service searchCluster
servers:
  - url: /api/apollo/
security: []
tags:
  - name: searchCluster
paths:
  /searchCluster/{id}/nodes:
    get:
      tags:
        - 4.2 Search Cluster API
      summary: Get the status of each node of the cluster
      operationId: getClusterState
      parameters:
        - name: id
          in: path
          description: The cluster ID
          required: true
          schema:
            type: string
      responses:
        '200':
          description: successful operation
          content:
            application/json:
              schema:
                type: array
                uniqueItems: true
                items:
                  $ref: '#/components/schemas/Node'
components:
  schemas:
    Node:
      type: object
      properties:
        name:
          type: string
          readOnly: true
        baseUrl:
          type: string
          readOnly: true
        state:
          type: string
          readOnly: true

````